## org.eclipse.datatools.connectivity.ui
Class PingJob.PingUIJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.ui.progress.UIJob
                      org.eclipse.datatools.connectivity.ui.PingJob.PingUIJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

Enclosing class:
  PingJob

    public static class PingJob.PingUIJob

extends org.eclipse.ui.progress.UIJob

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`PingJob.PingUIJob(org.eclipse.swt.widgets.Shell shell, java.lang.Throwable exception)`

Method Summary
`org.eclipse.core.runtime.IStatus` `runInUIThread(org.eclipse.core.runtime.IProgressMonitor monitor)`
`static void` `showTestConnectionMessage(org.eclipse.swt.widgets.Shell shell, java.lang.Throwable exception)`

Methods inherited from class org.eclipse.ui.progress.UIJob
`errorStatus, getDisplay, run, setDisplay`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### PingJob.PingUIJob

    public PingJob.PingUIJob(org.eclipse.swt.widgets.Shell shell,
                             java.lang.Throwable exception)

Parameters:
  `name` -

Method Detail

### runInUIThread

    public org.eclipse.core.runtime.IStatus runInUIThread(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `runInUIThread` in class `org.eclipse.ui.progress.UIJob`

### showTestConnectionMessage

    public static void showTestConnectionMessage(org.eclipse.swt.widgets.Shell shell,
                                                 java.lang.Throwable exception)